<?
class SetupViewModule implements charcoal_IModule
{
	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
	}

	/*
	 * モジュール名
	 */
	public function getModuleName()
	{
		return "Setup View module";
	}

	/*
	 * モジュールを初期化する
	 */
	public function init( charcoal_Config $config )
	{
	}

	/*
	 * モジュールの処理を実行する
	 */
	public function execute( $action, charcoal_Request $request, charcoal_ProcedureContext $context, charcoal_Response $response )
	{
		// Stepを決定
		$step = $request->get( "step" );
		if ( $step == NULL ){
			$step = "1";
		}

		// Stepをコンテキストに設定
		$response->set( "step", $step );

		// top_page.tplの中の名コンテンツにmain/setup.tplを指定
		$response->set( "template_name", "setup.tpl" );

		// テンプレートIDのセット: top_pageテンプレートを使用
		$context->set( "smarty_template", "top_page" );
	}
}
?>